#ifndef EMBEDDINGTASK_H
#define EMBEDDINGTASK_H

#include <string>

namespace scene {
typedef std::string TaskID;

enum class EmbeddingDataType { Text = 0, ImageFlie, ImageBase64 };
enum class TaskPriority { LOW = 0, MEDIUM, HIGH, CRITICAL };
enum class EmbeddingModelType { TextModel = 0, ImageModel };

struct EmbeddingTask {
    EmbeddingTask() = default;
    EmbeddingTask(const std::string& data, EmbeddingDataType type, TaskPriority priority = TaskPriority::MEDIUM);

    std::string data;
    EmbeddingDataType dataType;
    TaskID id;
    TaskPriority priority;

    bool operator<(const EmbeddingTask& other) const;
    bool empty() const;
};
}  // namespace scene

#endif  // EMBEDDINGTASK_H
